net.corda.node.services.transactions

## Class BFTSMaRt.Client

- SingletonSerializeAsToken
- - net.corda.node.services.transactions.BFTSMaRt.Client

- All Implemented Interfaces:
    SerializeAsToken
  Enclosing class:
    BFTSMaRt

      public static class BFTSMaRt.Client
      extends SingletonSerializeAsToken

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Client.Companion`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Client.Companion` | `Companion`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Client(int id)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BFTSMaRt.ClusterResponse` | `commitTransaction(java.lang.Object transaction, Party otherSide)` Sends a transaction commit request to the BFT cluster. The proxy will deliver the request to every replica, and block until a sufficient number of replies are received.
    `int` | `getId()`

    - ### Methods inherited from class net.corda.core.serialization.SingletonSerializeAsToken

      `toToken`

    - ### Methods inherited from interface net.corda.core.serialization.SerializeAsToken

      `toToken`

- - ### Field Detail

    - #### Companion

          public static Client.Companion Companion

  - ### Constructor Detail

    - #### Client

          public Client(int id)

  - ### Method Detail

    - #### commitTransaction

          public BFTSMaRt.ClusterResponse commitTransaction(java.lang.Object transaction,
                                                            Party otherSide)

      Sends a transaction commit request to the BFT cluster. The proxy will deliver the request to every replica, and block until a sufficient number of replies are received.

    - #### getId

          public int getId()